[
    {
        "Id": "d306d05cbfdde25b928ecce53d27ddfb4f9b01dce4203a9cedb35c0944833536",
        "Created": "2025-08-05T16:45:49.85894565Z",
        "Path": "./agent",
        "Args": [],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 2728,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-12T22:09:40.342857318Z",
            "FinishedAt": "2025-08-12T22:08:06.414801347Z"
        },
        "Image": "sha256:9f786420f6767b74a91694d90cef0fee1f8e1f27b1be8e5d55c70159bbd33509",
        "ResolvConfPath": "/var/lib/docker/containers/d306d05cbfdde25b928ecce53d27ddfb4f9b01dce4203a9cedb35c0944833536/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/d306d05cbfdde25b928ecce53d27ddfb4f9b01dce4203a9cedb35c0944833536/hostname",
        "HostsPath": "/var/lib/docker/containers/d306d05cbfdde25b928ecce53d27ddfb4f9b01dce4203a9cedb35c0944833536/hosts",
        "LogPath": "/var/lib/docker/containers/d306d05cbfdde25b928ecce53d27ddfb4f9b01dce4203a9cedb35c0944833536/d306d05cbfdde25b928ecce53d27ddfb4f9b01dce4203a9cedb35c0944833536-json.log",
        "Name": "/portainer_agent",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/var/lib/docker/volumes:/var/lib/docker/volumes",
                "/:/host",
                "/var/run/docker.sock:/var/run/docker.sock"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "bridge",
            "PortBindings": {
                "9001/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "9001"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "always",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": null,
            "GroupAdd": [
                "990"
            ],
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": [],
            "BlkioDeviceReadBps": [],
            "BlkioDeviceWriteBps": [],
            "BlkioDeviceReadIOps": [],
            "BlkioDeviceWriteIOps": [],
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": [],
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": [],
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "d306d05cbfdde25b928ecce53d27ddfb4f9b01dce4203a9cedb35c0944833536",
                "LowerDir": "/var/lib/docker/overlay2/5a697a79c6c8d53b857561cbb42070c31b82f28e9827078ade7f303884b42478-init/diff:/var/lib/docker/overlay2/ad96ceaae5c429702773e532bc9948d074d0d9976a6ece9da57f6bd70d4c5286/diff:/var/lib/docker/overlay2/128372f1d33724cffec8bd1b83a16559aae2247774adb6d63151f7b40149b9de/diff:/var/lib/docker/overlay2/57e0bc6b65432b0b99bb637c28e55d6b9fb08b3b161ed60b3637a77ebb060656/diff:/var/lib/docker/overlay2/376faeaf9205d8d15ab10e4b6cf7dc6dd15728932cfb29aebfdd6574c99a953b/diff:/var/lib/docker/overlay2/70dfe1f351006d39c14cf2d282ccbbae8ad5c1242c974b583ab21cf6fc7947ad/diff:/var/lib/docker/overlay2/f6e5712876b15319dd724db22cccd8bd754babeb01a1883332a111d10c5f5c0c/diff:/var/lib/docker/overlay2/8965304575c6e4dddbab9b6540ac1718ea114bb078276e67a7bc4fffdf200216/diff:/var/lib/docker/overlay2/aa14b2576b4014d5e8676fcc840a178f69580694feee0337f6f5476e6b17ade4/diff:/var/lib/docker/overlay2/92407e8eee3320b5114507c252517a27ab4922905936a8ae5b318a1857e76033/diff",
                "MergedDir": "/var/lib/docker/overlay2/5a697a79c6c8d53b857561cbb42070c31b82f28e9827078ade7f303884b42478/merged",
                "UpperDir": "/var/lib/docker/overlay2/5a697a79c6c8d53b857561cbb42070c31b82f28e9827078ade7f303884b42478/diff",
                "WorkDir": "/var/lib/docker/overlay2/5a697a79c6c8d53b857561cbb42070c31b82f28e9827078ade7f303884b42478/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/",
                "Destination": "/host",
                "Mode": "",
                "RW": true,
                "Propagation": "rslave"
            },
            {
                "Type": "bind",
                "Source": "/var/lib/docker/volumes",
                "Destination": "/var/lib/docker/volumes",
                "Mode": "",
                "RW": true,
                "Propagation": "rslave"
            },
            {
                "Type": "bind",
                "Source": "/var/run/docker.sock",
                "Destination": "/var/run/docker.sock",
                "Mode": "",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "d306d05cbfdd",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": false,
            "AttachStderr": false,
            "ExposedPorts": {
                "9001/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "AGENT_CLUSTER_ADDR=",
                "CAP_HOST_MANAGEMENT=1",
                "PATH=/app:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
            ],
            "Cmd": null,
            "Image": "portainer/agent:2.27.9",
            "Volumes": null,
            "WorkingDir": "/app",
            "Entrypoint": [
                "./agent"
            ],
            "OnBuild": null,
            "Labels": {
                "io.portainer.agent": "true"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "a4fc9d9b4cb101795582124967b03a57b831e4bb432ba9404c90ec57d709deaa",
            "SandboxKey": "/var/run/docker/netns/a4fc9d9b4cb1",
            "Ports": {
                "9001/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "9001"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "9001"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "f41be578348ba96924bfc67f647199408c1d007421d9415274ae0f4e0718edda",
            "Gateway": "172.17.0.1",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "172.17.0.2",
            "IPPrefixLen": 16,
            "IPv6Gateway": "",
            "MacAddress": "b6:13:0e:1d:2a:b5",
            "Networks": {
                "bridge": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": null,
                    "MacAddress": "b6:13:0e:1d:2a:b5",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "5fbe72a2e4cda5f7f37cd0ceaa44312eb0b721834a86ce87774ad1ec4cdb4c56",
                    "EndpointID": "f41be578348ba96924bfc67f647199408c1d007421d9415274ae0f4e0718edda",
                    "Gateway": "172.17.0.1",
                    "IPAddress": "172.17.0.2",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": null
                }
            }
        }
    }
]
